## golang-github-bep-clocks 0.5.0

=== debian/changelog ===
golang-github-bep-clocks (0.5.0-2) unstable; urgency=medium

  * Source-only upload for migration to testing

 -- Anthony Fok <foka@debian.org>  Mon, 09 Oct 2023 08:39:18 -0600

golang-github-bep-clocks (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Rename package clock ⇒ clocks as per upstream.
    Upstream rationale: "Makes it easier to use the common structue
    `clock := clocks.System()` without package aliasing."
  * Add dependency versions as per go.mod
  * Bump Standards-Version to 4.6.2 (no change)
  * Remove -dev package dependency on golang-github-frankban-quicktest-dev
    and golang-github-google-go-cmp-dev as these are used only for tests

 -- Anthony Fok <foka@debian.org>  Mon, 03 Jul 2023 18:31:28 -0600

golang-github-bep-clock (0.3.0-2) unstable; urgency=medium

  * Source-only upload for migration to testing
  * Bump Standards-Version to 4.6.1 (no change)

 -- Anthony Fok <foka@debian.org>  Mon, 13 Jun 2022 05:26:14 -0600

golang-github-bep-clock (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1012123)

 -- Anthony Fok <foka@debian.org>  Mon, 30 May 2022 09:16:31 -0600
