=== debian/control ===
Source: golang-github-bep-clocks
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.18~),
               golang-github-frankban-quicktest-dev (>= 1.14.2),
               golang-github-google-go-cmp-dev (>= 0.5.7)
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-bep-clocks
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-bep-clocks.git
Homepage: https://github.com/bep/clocks
XS-Go-Import-Path: github.com/bep/clocks

Package: golang-github-bep-clocks-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Golang clock that allows you to set the start time (Go library)
 This package provides a *ticking clock* that allows you to set the start
 time. It also provides a system clock, both implementing this interface:
 .
   // Clock provides a subset of methods in time.Time
   type Clock interface {
       Now() time.Time
       Since(t time.Time) time.Duration
       Until(t time.Time) time.Duration
 .
       // Offset returns the offset of this clock relative to the system clock
       Offset() time.Duration
   }
 .
 Note that this only support a subset of all the methods in time.Time
 (see above) and is by design very simple. For a more advanced time mocking
 library, have a look at <https://github.com/benbjohnson/clock>.
